Create database fast;

Connect FAST;

DROP TABLE IF EXISTS `accounts`;
CREATE TABLE `accounts` (
  `AC_NO` char(6) NOT NULL,
  `AC_NAME` varchar(60) NOT NULL,
  `AC_OB` double default NULL,
  `CONTROL` varchar(5) default NULL,
  `AC_MIS1` decimal(2,0) default NULL,
  `AC_MIS2` decimal(2,0) default NULL,
  `AC_DELETION` double default NULL,
  `AC_IT` double default NULL,
  `AC_LOCATION` varchar(50) default NULL,
  `AS_EXP_DATE` date default NULL,
  `AC_EXP_DATE` date default NULL,
  UNIQUE KEY `AC_ON_IND` (`AC_NO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 7168 kB; InnoDB free: 7168 kB; InnoDB free: 716';


DROP TABLE IF EXISTS `company`;
CREATE TABLE `company` (
  `C_NAME` char(50) default NULL,
  `C_ADDRESS` char(100) default NULL,
  `C_NOTES` char(200) default NULL,
  `C_SNO` float default NULL,
  UNIQUE KEY `COMPANY_ID` (`C_SNO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `dep`;
CREATE TABLE `dep` (
  `DEP_AC_NO` char(6) default NULL,
  `DEP_ID_NO` varchar(10) default NULL,
  `DEP_YEAR` double default NULL,
  `DEP_PERC` double default NULL,
  `DEP_AMOUNT` double default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `dep_entry`;
CREATE TABLE `dep_entry` (
  `DEP_ACNO` char(6) default NULL,
  `DEP_IT` double default NULL,
  `DEP_WDV` double default NULL,
  `DEP_SLM` double default NULL,
  `DEP_DATE` date default NULL,
  `DEP_DELETION` double default NULL,
  `DEP_ADJ` double default NULL,
  `DEP_OB` double default NULL,
  `DEP_YEAR_BAL` double default NULL,
  `DEP_NET_BAL` double default NULL,
  `DEP_WDV_BAL` double default NULL,
  `DEP_IT_DEL` double default NULL,
  `DEP_IT_ADJU` double default NULL,
  `DEP_TODATE` date default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 10240 kB; InnoDB free: 10240 kB';


DROP TABLE IF EXISTS `dep_year`;
CREATE TABLE `dep_year` (
  `D_ACNO` char(15) default NULL,
  `D_FROM` date default NULL,
  `D_TO` double default NULL,
  `D_AMOUNT` double default NULL,
  `D_ADJ` double default NULL,
  `D_ITADJ` double default NULL,
  `D_OB` double default NULL,
  `IT_NULL_AMOUNT` decimal(15,0) default NULL,
  `DEP_REG_AMOUNT` decimal(15,0) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `expiry`;
CREATE TABLE `expiry` (
  `EX_DATE` date default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `fa_entry`;
CREATE TABLE `fa_entry` (
  `FA_AC_NO` char(6) default NULL,
  `FA_INV_NO` varchar(25) default NULL,
  `FA_ID_NO` varchar(50) default NULL,
  `FA_DESC` varchar(200) default NULL,
  `FA_LOCATION` varchar(50) default NULL,
  `FA_DATE` date default NULL,
  `FA_SUPPLIER` varchar(100) default NULL,
  `FA_ASS_RATE` double default NULL,
  `FA_QTY` double default NULL,
  `FA_RATE` double default NULL,
  `FA_DISCOUNT` double default NULL,
  `FA_S_TAX` double default NULL,
  `FA_OT_RATE` double default NULL,
  `FA_CST_TAX` double default NULL,
  `FA_EX_TAX` double default NULL,
  `FA_TOTAL` double default NULL,
  `FA_USER` varchar(20) default NULL,
  `FA_DEP_TOTAL` float default NULL,
  `FA_S_T_AMOUNT` float default NULL,
  `FA_ON_DATE` date default NULL,
  `FA_WHOM` varchar(20) default NULL,
  `FA_REMARKS` varchar(50) default NULL,
  `FA_EXCISE` float default NULL,
  `FA_SALES` float default NULL,
  `FA_DEPARTMENT` char(100) default NULL,
  `FA_INST_DATE` date default NULL,
  `FA_DOLLAR` float default NULL,
  `FA_DOLLAR_TYPE` char(10) default NULL,
  `FA_CONV_RATE` float default NULL,
  `FA_OT_CHGS` float default NULL,
  `FA_FC` float default NULL,
  `FA_FF` float default NULL,
  `FA_LT` float default NULL,
  `FA_MRN_NO` varchar(50) default NULL,
  `FA_MRN_DATE` date default NULL,
  UNIQUE KEY `FA_ID_UNIQ` (`FA_ID_NO`),
  KEY `FA_INDEX` (`FA_ID_NO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 7168 kB';


DROP TABLE IF EXISTS `fast_key`;
CREATE TABLE `fast_key` (
  `K_CHARVARCHAR` varchar(10) default NULL,
  `K_REGISTER` char(1) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `fast_key` (`K_CHARVARCHAR`,`K_REGISTER`) VALUES 
 ('123','N');


DROP TABLE IF EXISTS `item_dep`;
CREATE TABLE `item_dep` (
  `I_ACNO` char(20) default NULL,
  `I_ID` char(20) default NULL,
  `I_DEP` double default NULL,
  `I_DATE` date default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `misc`;
CREATE TABLE `misc` (
  `M_NAME` char(40) default NULL,
  `M_DIV` double default NULL,
  `M_BRANCH` double default NULL,
  `M_ADDR1` char(40) default NULL,
  `M_ADDR2` char(40) default NULL,
  `M_ADDR3` char(40) default NULL,
  `M_ADDR4` char(40) default NULL,
  `M_ADDR5` char(40) default NULL,
  `M_ADDR6` char(40) default NULL,
  `M_CPV` double default NULL,
  `M_CRV` double default NULL,
  `M_BPV` double default NULL,
  `M_BRV` double default NULL,
  `M_JV` double default NULL,
  `M_FTV` double default NULL,
  `M_CST_NO` char(30) default NULL,
  `M_GST_NO` char(30) default NULL,
  `M_CASH_AC` char(6) default NULL,
  `M_FD_BANK_AC` char(6) default NULL,
  `M_YEAR_FROM` date default NULL,
  `M_YEAR_TO` date default NULL,
  `M_CBV` double default NULL,
  `M_SALE_AC` char(6) default NULL,
  `M_SEXCISE_AC` char(6) default NULL,
  `M_STAX_AC` char(6) default NULL,
  `M_SDISC_AC` char(6) default NULL,
  `M_SOTHER_AC` char(6) default NULL,
  `M_DEBTORS_AC` char(6) default NULL,
  `M_PURCHASE_AC` char(6) default NULL,
  `M_PEXCISE_AC` char(6) default NULL,
  `M_PTAX_AC` char(6) default NULL,
  `M_PDISC_AC` char(6) default NULL,
  `M_POTHER_AC` char(6) default NULL,
  `M_CREDITORS_AC` char(6) default NULL,
  `M_VERSION` decimal(5,2) default NULL,
  `M_DEF_TAX` int(11) default NULL,
  `M_DEP` char(10) default NULL,
  `M_EMAIL` char(50) default NULL,
  `M_DEP_CALC` char(1) default NULL,
  `M_PIC` varchar(100) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 8192 kB; InnoDB free: 8192 kB; InnoDB free: 819';

INSERT INTO `misc` VALUES ('ABC',1,1,'TEST','TEST','','','02114-269201','02114-269210',0,0,0,0,0,0,'','','','','1990-04-01','2009-03-31',0,'','','','','','','','','','','','','1.39',1,'SLM','','D','');

DROP TABLE IF EXISTS `new table`;
CREATE TABLE `new table` (
  `tbl1` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`tbl1`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `null_amount`;
CREATE TABLE `null_amount` (
  `N_AC_NO` char(10) default NULL,
  `N_DATE_FROM` date default NULL,
  `N_AMOUNT` decimal(15,0) default NULL,
  `N_DEP_AMOUNT` decimal(15,0) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `ob_null`;
CREATE TABLE `ob_null` (
  `OB_AC_NO` char(10) default NULL,
  `OB_OB` decimal(15,0) default NULL,
  `OB_FROM` date default NULL,
  `OB_DEP` decimal(15,0) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `op_dep`;
CREATE TABLE `op_dep` (
  `OP_ACNO` char(10) default NULL,
  `OP_DATE` date default NULL,
  `OP_TOTAL` double default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `open_bal`;
CREATE TABLE `open_bal` (
  `OB_AC_NO` char(6) default NULL,
  `OB_BAL` double default NULL,
  `OB_IT` double default NULL,
  `OB_LOCATION` varchar(30) default NULL,
  `OB_DATE` date default NULL,
  `OB_WDV` double default NULL,
  `OB_USEFUL` double default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `open_det`;
CREATE TABLE `open_det` (
  `OD_ACC_CODE` varchar(15) default NULL,
  `OD_ACC_NO` float default NULL,
  `OD_ACC_NAME` varchar(50) default NULL,
  `OD_QTY` float default NULL,
  `OD_RATE` double default NULL,
  `OD_VALUE` double default NULL,
  `OD_DATE` date default NULL,
  `OD_ACC_LOCATION` varchar(50) default NULL,
  `OD_ASS_ID` varchar(25) default NULL,
  `OD_ASS_NAME` varchar(200) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `pre_values`;
CREATE TABLE `pre_values` (
  `PRE_FROM` date default NULL,
  `PRE_TO` date default NULL,
  `PRE_AS` decimal(15,0) default NULL,
  `PRE_ADDITION` decimal(15,0) default NULL,
  `PRE_DELETION` decimal(15,0) default NULL,
  `PRE_REVUL` decimal(15,0) default NULL,
  `PRE_ASON` decimal(15,0) default NULL,
  `PRE_DEPAS` decimal(15,0) default NULL,
  `PRE_DEP` decimal(15,0) default NULL,
  `PRE_DEPDEL` decimal(15,0) default NULL,
  `PRE_DEPASON` decimal(15,0) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `previous`;
CREATE TABLE `previous` (
  `P_AC_NO` char(10) default NULL,
  `P_OB` double default NULL,
  `P_ADDITION` double default NULL,
  `P_DELETION` double default NULL,
  `P_ADD` double default NULL,
  `P_DEP_OB` double default NULL,
  `P_DEP_FOR` double default NULL,
  `P_DEP_DEL` double default NULL,
  `P_DATE_FROM` date default NULL,
  `P_DATE_TO` date default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `sales_entry`;
CREATE TABLE `sales_entry` (
  `S_NO` varchar(20) default NULL,
  `S_ASS_ID` varchar(25) default NULL,
  `S_S_DATE` date default NULL,
  `S_S_AMOUNT` double default NULL,
  `VEN_AMOUNT` double default NULL,
  `S_P_DATE` date default NULL,
  `S_G_AMOUNT` double default NULL,
  `S_LOCATION` varchar(50) default NULL,
  `S_NET` double default NULL,
  UNIQUE KEY `SALES_ID` (`S_ASS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `st_rates`;
CREATE TABLE `st_rates` (
  `ST_CODE` double NOT NULL,
  `ST_NAME` varchar(30) default NULL,
  `ST_RATE` double default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `tempdep`;
CREATE TABLE `tempdep` (
  `T_AC` char(6) default NULL,
  `T_FROM` date default NULL,
  `T_TO` date default NULL,
  `T_GROSS_OB` double default NULL,
  `T_ADD` double default NULL,
  `T_DEL` double default NULL,
  `T_REV` double default NULL,
  `T_GROSS_ASON` double default NULL,
  `T_DEP_OB` double default NULL,
  `T_DEP_ADD` double default NULL,
  `T_DEP_DEL` double default NULL,
  `T_DEP_YEAR` double default NULL,
  `T_DEP_ASON` double default NULL,
  `T_NET` double default NULL,
  `T_TYPE` varchar(3) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `test`;
CREATE TABLE `test` (
  `col1` float default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `U_NAME` varchar(15) default NULL,
  `U_PASSWORD` varchar(15) default NULL,
  `U_LEVEL` float default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `users` (`U_NAME`,`U_PASSWORD`,`U_LEVEL`) VALUES 
 ('root','hyper',NULL);

DROP TABLE IF EXISTS `ven_details`;
CREATE TABLE `ven_details` (
  `V_SNO` double default NULL,
  `V_INV_NO` char(15) default NULL,
  `V_CMP_NAME` varchar(30) default NULL,
  `V_CMP_ADDRESS` varchar(100) default NULL,
  `V_AMC` date default NULL,
  `V_WARRANTY` date default NULL,
  `V_INSURENCE` date default NULL,
  `V_DEPART` varchar(20) default NULL,
  `V_ASS_NAME` varchar(40) default NULL,
  `V_AMC_TO` date default NULL,
  `V_INSURENCE_TO` date default NULL,
  `V_AMC_ADDR` varchar(100) default NULL,
  `V_INSU_ADDR` varchar(100) default NULL,
  `V_LOCATION` varchar(50) default NULL,
  UNIQUE KEY `VEN_ID` (`V_INV_NO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 8192 kB; InnoDB free: 8192 kB';

